<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Security\Authorization;

class DefaultVoterHelperFactory implements VoterHelperFactoryInterface
{
    public function __construct(protected AuthorizationHelper $authorizationHelper) {}

    public function generate($context): VoterGeneratorInterface
    {
        return new DefaultVoterHelperGenerator(
            $this->authorizationHelper
        );
    }
}
